[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.AfterConstruction

Performs actions when the form has been created and loaded from its resource file.

## Declaration

Source position: forms.pp line 701

`public procedure TCustomForm.AfterConstruction; override;`

## Description

Implements the virtual method defined in the ancestor class.

Called after the form instance has been created and loaded from its resource file (when needed).

Ensures that the initial bounds for the form are set to the values in the Left, Top, Bottom, and Right properties. Calls DoCreate to signal the OnCreate event handler (when assigned). Ends the form update started in the CreateNew constructor. Ensures that scaling and automatic layout are applied to form instance (if needed) when Scaled is enabled for both the form instance and the Application.

## See also

TObject.AfterConstruction